
Infrastructure - Bug #6044

Indexer needs port 5432 open to localhost during postinst

2014-08-15 15:00 - Robert Waltz

Status: New Start date: 2014-09-17

Priority: Normal Due date: 2015-01-06

Assignee: Robert Waltz % Done: 0%

Category: d1_cn_buildout Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone: None Story Points:  

Product Version: *   

Description

During the postinst process for the indexer, the postgresql needs to be access via port 5432 on localhost 127.0.0.1

Before manipulating postgres, confirm that the port is open by ufw and if not, then open it up.

History

#1 - 2014-08-20 22:34 - Robert Waltz

- Subject changed from Indexer Roll needs configuration during postinst to Indexer needs port 5432 open to localhost during postinst

- Description updated

#2 - 2014-09-24 16:48 - Skye Roseboom

Also the replication component in dataone-cn-processing will need access to postgresql during updates - to configure a database schema and user.

#3 - 2014-09-24 16:49 - Skye Roseboom

For clarification - why is this port being closed on localhost before upgrades?

#4 - 2014-09-25 17:35 - Dave Vieglais

- Start date set to 2014-09-17

- Due date set to 2014-09-25

- Target version set to CCI-1.4.1

#5 - 2014-10-02 20:31 - Robert Waltz

- Due date changed from 2014-09-25 to 2014-10-17

- translation missing: en.field_story_points set to 1.0

#6 - 2014-10-02 20:32 - Robert Waltz

- translation missing: en.field_story_points deleted (1.0)

#7 - 2014-10-21 16:18 - Dave Vieglais

- Due date changed from 2014-10-17 to 2014-10-21

- Target version changed from CCI-1.4.1 to CCI-1.5.0

#8 - 2014-11-20 21:47 - Robert Waltz

- Due date changed from 2014-10-21 to 2014-11-20

- Target version changed from CCI-1.5.0 to CCI-1.5.1

#9 - 2015-01-06 18:17 - Robert Waltz

- Target version changed from CCI-1.5.1 to Maintenance Backlog
- Due date changed from 2014-11-20 to 2015-01-06
